| pktools 2.6.7 Processing Kernel for geospatial data

pkreclass

program to replace pixel values in raster image

## SYNOPSIS

`Usage: pkreclass -i input [-c from -r to]* -o output`

# Options

- use either `-short` or `--long` options (both `--long=value` and `--long value` are supported)
- short option `-h` shows basic options only, long option `--help` shows all options

  short | long | type | default | description
  --- | --- | --- | --- | ---
  i | input | std::string |  | Input image
  m | mask | std::string |  | Mask image(s)
  msknodata | msknodata | unsigned short | 1 | Mask value(s) where image has nodata. Use one value for each mask, or multiple values for a single mask.
  nodata | nodata | int | 0 | nodata value to put in image if not valid (0)
  code | code | std::string |  | Recode text file (2 columns: from to)
  c | class | std::string |  | list of classes to reclass (in combination with reclass option)
  r | reclass | std::string |  | list of recoded classes (in combination with class option)
  ct | ct | std::string |  | color table (file with 5 columns: id R G B ALFA (0: transparent, 255: solid)
  o | output | std::string |  | Output file
  ot | otype | std::string |  | Data type for output image ({Byte/Int16/UInt16/UInt32/Int32/Float32/Float64/CInt16/CInt32/CFloat32/CFloat64}). Empty string: inherit type from input image
  of | oformat | std::string | GTiff | Output image format (see also gdal_translate)
  b | band | unsigned short | 0 | band index(es) to replace (other bands are copied to output)
  n | fname | std::string | label | field name of the shape file to be replaced
  co | co | std::string |  | Creation option for output file. Multiple options can be specified.
  d | description | std::string |  | Set image description
  v | verbose | short | 0 | verbose

Usage: pkreclass -i input [-c from -r to]* -o output

# Examples

Some examples how to use pkreclass can be found here